Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#343 Payee Field Behaviour

1.0.0.0
closed-fixed
Nikolay
Payee Field (1)
5
2014-06-08
2014-03-23
Tony Reynolds
No

I like the latest version 1.0.0.3 but the payee drop down is not right

in the Payee drop down the list that appears as you type is great and the ability to add payee directly without an extra window dialogue is great... But

The Problem is; if you start typing and use the arrow keys to select from the filtered list and hit enter to select what we have highlighted, it just clears the text we typed in. it only works if you hit tab... I suppose that is not too bad...

However the biggest problem is if there area few payees that start with the same letter we have trouble with the Last Category used function...

for example:

"McDonald's Restaurants"....(Last Category used = "Fast Food") and
"Mad Florist".......................(Last Category used = "Gifts")

I want to use the payee "McGee Florist" so I type "M" into the payee field and the two payees show in the drop down list and

"McDonald's Restaurants" is selected in the Payee field as the first in the filtered list...

Because "McDonald's Restaurants" last Category used = "Fast Food" it selects "Fast Food" in the category field.

As I then use arrow keys to select "Mad Florist" ... the category remains "Fast food" instead of changing to "Gifts" as I move the highlight to "Mad Florist" and hit Tab.

What I Suggest:

Either
1. It should only select the category "on exit" of the payee field or
2. It should change as we select each payee when it is a new transaction and not change when editing a transaction.
3. It should not enter a suggestion in the field as we type... only as we highlight it using the mouse or arrow keys (If this is an option we should highlight if there is only one match left in the list so all we have to do is tab or enter key.

Related

Bugs: #343

Discussion

  • Nikolay
    Nikolay
    2014-03-29

    • Tony Reynolds
      Tony Reynolds
      2014-03-29

      What should I do then?

      Tony Reynolds | Customer Support | Purchasing | Design
      Floorex Products
      Ph: 03 5036 4000
      This transmission is confidential. This email, including any attachments, is for the original addresses only. If you have received this transmission in error your co-operation is appreciated.
      If you are not the intended recipient you must not reproduce or distribute any part of this e-mail, disclose its contents to any other party, or take any action in reliance upon it.

      From: Nikolay [mailto:vomikan@users.sf.net]
      Sent: Sunday, 30 March 2014 1:47 AM
      To: [moneymanagerex:bugs]
      Subject: [moneymanagerex:bugs] #343 Payee Field Behaviour

      seems bug in wxWidgets
      http://trac.wxwidgets.org/ticket/15680#comment:5


      [bugs:#343]http://sourceforge.net/p/moneymanagerex/bugs/343/ Payee Field Behaviour

      Status: open
      Group: 1.0.0.0
      Labels: Payee Field
      Created: Sun Mar 23, 2014 10:10 PM UTC by Tony Reynolds
      Last Updated: Sun Mar 23, 2014 10:10 PM UTC
      Owner: nobody

      I like the latest version 1.0.0.3 but the payee drop down is not right

      in the Payee drop down the list that appears as you type is great and the ability to add payee directly without an extra window dialogue is great... But

      The Problem is; if you start typing and use the arrow keys to select from the filtered list and hit enter to select what we have highlighted, it just clears the text we typed in. it only works if you hit tab... I suppose that is not too bad...

      However the biggest problem is if there area few payees that start with the same letter we have trouble with the Last Category used function...

      for example:

      "McDonald's Restaurants"....(Last Category used = "Fast Food") and
      "Mad Florist".......................(Last Category used = "Gifts")

      I want to use the payee "McGee Florist" so I type "M" into the payee field and the two payees show in the drop down list and

      "McDonald's Restaurants" is selected in the Payee field as the first in the filtered list...

      Because "McDonald's Restaurants" last Category used = "Fast Food" it selects "Fast Food" in the category field.

      As I then use arrow keys to select "Mad Florist" ... the category remains "Fast food" instead of changing to "Gifts" as I move the highlight to "Mad Florist" and hit Tab.

      What I Suggest:

      Either
      1. It should only select the category "on exit" of the payee field or
      2. It should change as we select each payee when it is a new transaction and not change when editing a transaction.
      3. It should not enter a suggestion in the field as we type... only as we highlight it using the mouse or arrow keys (If this is an option we should highlight if there is only one match left in the list so all we have to do is tab or enter key.


      Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/moneymanagerex/bugs/343/

      To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #343

      Attachments
  • Nikolay
    Nikolay
    2014-06-08

    • status: open --> closed-fixed
    • assigned_to: Nikolay
     


Anonymous


Cancel   Add attachments